Bug 1007095 - Should provide an 'rhc tail-all' command to allow simple tailing of all gear logs simultaneously
Summary: Should provide an 'rhc tail-all' command to allow simple tailing of all gear ...
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface   
(Show other bugs)
Version: 2.x
Hardware: All All
unspecified
medium
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: libra bugs
URL:
Whiteboard:
Keywords: NeedsTestCase, UpcomingRelease
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-11 22:07 UTC by Lincoln Baxter III
Modified: 2015-06-11 21:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-11 21:31:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lincoln Baxter III 2013-09-11 22:07:32 UTC
Description of problem:

you must currently know to use `rhc ssh <app> --gears 'tail -f jbosseap/logs/*';` in order to tail all the logs of all gears at once. This is not the most intuitive, though it does work well.

http://ocpsoft.org/jboss/openshift-pro-tip-scaling-tail-server-logs-on-all-gears-of-your-app-at-once/

It would be far simpler to have an `rhc tail-all <app>` command.

Cheers!

Comment 1 Clayton Coleman 2013-09-12 17:29:21 UTC
Started this here https://github.com/openshift/rhc/pull/465 - needs net-ssh-multi packaged (in progress) and test cases to work.


Note You need to log in before you can comment on or make changes to this bug.